summaryrefslogtreecommitdiff
path: root/test/format/smoke.sh
diff options
context:
space:
mode:
authorMichael Cahill <michael.cahill@mongodb.com>2015-07-01 16:44:01 +1000
committerMichael Cahill <michael.cahill@mongodb.com>2015-07-01 16:44:01 +1000
commit036db3dbe3312a2048b8e1a18bec2e35255a68fb (patch)
tree672b74d482b13aef525a7aad90d71a02cc320c61 /test/format/smoke.sh
parente6688915e88705a2ea10b604fa6255395d2d9933 (diff)
downloadmongo-036db3dbe3312a2048b8e1a18bec2e35255a68fb.tar.gz
WT-1987 Simplify some more test scripts with "set -e".
Diffstat (limited to 'test/format/smoke.sh')
-rwxr-xr-xtest/format/smoke.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/test/format/smoke.sh b/test/format/smoke.sh
index 363f46ba01e..8b4b5d9e424 100755
--- a/test/format/smoke.sh
+++ b/test/format/smoke.sh
@@ -1,9 +1,11 @@
#! /bin/sh
+set -e
+
# Smoke-test format as part of running "make check".
args="-1 -c "." data_source=table ops=100000 rows=10000 threads=4 compression=none"
-$TEST_WRAPPER ./t $args file_type=fix || exit 1
-$TEST_WRAPPER ./t $args file_type=row || exit 1
-$TEST_WRAPPER ./t $args file_type=row data_source=lsm || exit 1
-$TEST_WRAPPER ./t $args file_type=var || exit 1
+$TEST_WRAPPER ./t $args file_type=fix
+$TEST_WRAPPER ./t $args file_type=row
+$TEST_WRAPPER ./t $args file_type=row data_source=lsm
+$TEST_WRAPPER ./t $args file_type=var